<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddApplicationDialRulesReq StructType
 * @subpackage Structs
 */
class AddApplicationDialRulesReq extends APIRequest
{
    /**
     * The applicationDialRules
     * @var XApplicationDialRules
     */
    public $applicationDialRules;
    /**
     * Constructor method for AddApplicationDialRulesReq
     * @uses AddApplicationDialRulesReq::setApplicationDialRules()
     * @param XApplicationDialRules $applicationDialRules
     */
    public function __construct(XApplicationDialRules $applicationDialRules = null)
    {
        $this
            ->setApplicationDialRules($applicationDialRules);
    }
    /**
     * Get applicationDialRules value
     * @return XApplicationDialRules|null
     */
    public function getApplicationDialRules()
    {
        return $this->applicationDialRules;
    }
    /**
     * Set applicationDialRules value
     * @param XApplicationDialRules $applicationDialRules
     * @return AddApplicationDialRulesReq
     */
    public function setApplicationDialRules(XApplicationDialRules $applicationDialRules = null)
    {
        $this->applicationDialRules = $applicationDialRules;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddApplicationDialRulesReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
